Page MenuHomePhabricator

Wikimedia\Rdbms\Database::normalizeUpsertKeys called with deprecated parameter style: the unique key array should be a string or array of string arrays generating 2 million warnings in 24 hours
Closed, ResolvedPublic

Description

After 13:30 UTC the 19th March we have generated more than 2 million warnings: https://logstash.wikimedia.org/goto/7da1cb514026e05e2cc2abc8c630d4c6

 @timestamp	   	2020-03-20T06:02:39
t @version	   	1
t _id	   	AXD2iWDQKWrIH1QRLiGl
t _index	   	logstash-mediawiki-2020.03.20
# _score	   	 - 
t _type	   	mediawiki
t channel	   	DBQuery
t exception.class	   	RuntimeException
t exception.code	   	0
t exception.file	   	/srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/Database.php:2108
t exception.message	   	
t exception.trace	   	#0 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/Database.php(3144): Wikimedia\Rdbms\Database->normalizeUpsertKeys(array)
#1 /srv/mediawiki/php-1.35.0-wmf.24/includes/ActorMigration.php(324): Wikimedia\Rdbms\Database->upsert(string, array, array, array, string)
#2 /srv/mediawiki/php-1.35.0-wmf.24/includes/Revision/RevisionStore.php(857): ActorMigration->{closure}(integer, array)
#3 /srv/mediawiki/php-1.35.0-wmf.24/includes/Revision/RevisionStore.php(575): MediaWiki\Revision\RevisionStore->insertRevisionRowOn(Wikimedia\Rdbms\DatabaseMysqli, MediaWiki\Revision\MutableRevisionRecord, Title, integer)
#4 /srv/mediawiki/php-1.35.0-wmf.24/includes/Revision/RevisionStore.php(516): MediaWiki\Revision\RevisionStore->insertRevisionInternal(MediaWiki\Revision\MutableRevisionRecord, Wikimedia\Rdbms\DatabaseMysqli, User, CommentStoreComment, Title, integer, integer)
#5 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/Database.php(4179): MediaWiki\Revision\RevisionStore->MediaWiki\Revision\{closure}(Wikimedia\Rdbms\DatabaseMysqli, string)
#6 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->doAtomicSection(string, Closure)
#7 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/DBConnRef.php(641): Wikimedia\Rdbms\DBConnRef->__call(string, array)
#8 /srv/mediawiki/php-1.35.0-wmf.24/includes/Revision/RevisionStore.php(518): Wikimedia\Rdbms\DBConnRef->doAtomicSection(string, Closure)
#9 /srv/mediawiki/php-1.35.0-wmf.24/includes/Storage/PageUpdater.php(996): MediaWiki\Revision\RevisionStore->insertRevisionOn(MediaWiki\Revision\MutableRevisionRecord, Wikimedia\Rdbms\DBConnRef)
#10 /srv/mediawiki/php-1.35.0-wmf.24/includes/Storage/PageUpdater.php(766): MediaWiki\Storage\PageUpdater->doModify(CommentStoreComment, User, integer)
#11 /srv/mediawiki/php-1.35.0-wmf.24/includes/page/WikiPage.php(1907): MediaWiki\Storage\PageUpdater->saveRevision(CommentStoreComment, integer)
#12 /srv/mediawiki/php-1.35.0-wmf.24/includes/EditPage.php(2390): WikiPage->doEditContent(WikitextContent, CommentStoreComment, integer, boolean, User, string, array, integer)
#13 /srv/mediawiki/php-1.35.0-wmf.24/includes/EditPage.php(1659): EditPage->internalAttemptSave(array, boolean)
#14 /srv/mediawiki/php-1.35.0-wmf.24/includes/api/ApiEditPage.php(422): EditPage->attemptSave(array)
#15 /srv/mediawiki/php-1.35.0-wmf.24/includes/api/ApiMain.php(1591): ApiEditPage->execute()
#16 /srv/mediawiki/php-1.35.0-wmf.24/includes/api/ApiMain.php(523): ApiMain->executeAction()
#17 /srv/mediawiki/php-1.35.0-wmf.24/includes/api/ApiMain.php(494): ApiMain->executeActionWithErrorHandling()
#18 /srv/mediawiki/php-1.35.0-wmf.24/api.php(84): ApiMain->execute()
#19 /srv/mediawiki/w/api.php(3): require(string)
#20 {main}
t facility	   	user
t host	   	mw1394
t http_method	   	POST
t ip	   	10.64.16.152
t level	   	WARNING
t logsource	   	mw1394
t message	   	Wikimedia\Rdbms\Database::normalizeUpsertKeys called with deprecated parameter style: the unique key array should be a string or array of string arrays
t mwversion	   	1.35.0-wmf.24
t normalized_message	   	Wikimedia\Rdbms\Database::normalizeUpsertKeys called with deprecated parameter style: the unique key array should be a string or array of string arrays
t phpversion	   	7.2.26-1+0~20191218.33+debian9~1.gbpb5a340+wmf1
t program	   	mediawiki
t referrer	   	https://commons.wikimedia.org/wiki/Category:TEL_letter_combinations
t reqId	   	XnRcfwpAEJgAAlbtMEQAAAAA
t server	   	commons.wikimedia.org
t severity	   	warning
t shard	   	s4
t tags	   	input-kafka-rsyslog-udp-localhost, rsyslog-udp-localhost, kafka, es, es, throttle_warning
t timestamp	   	2020-03-20T06:02:39+00:00
t type	   	mediawiki
t unique_id	   	XnRcfwpAEJgAAlbtMEQAAAAA
t url	   	/w/api.php
t wiki	   	commonswiki

Looks like this started right at:

13:32 hashar@deploy1001: Synchronized php: group1 wikis to 1.35.0-wmf.24 (duration: 01m 07s)
13:31 hashar@deploy1001: rebuilt and synchronized wikiversions files: group1 wikis to 1.35.0-wmf.24

Details

ProjectBranchLines +/-Subject
mediawiki/extensions/Wikibasemaster+1 -1
mediawiki/extensions/UploadWizardmaster+5 -4
mediawiki/extensions/AbuseFiltermaster+1 -1
mediawiki/extensions/OATHAuthmaster+1 -1
mediawiki/extensions/ProofreadPagemaster+2 -2
mediawiki/extensions/PageTriagemaster+7 -2
mediawiki/extensions/AntiSpoofmaster+3 -2
mediawiki/extensions/PageCreationNotifmaster+1 -3
mediawiki/extensions/LiquidThreadsmaster+9 -4
mediawiki/extensions/FlaggedRevsmaster+13 -8
mediawiki/extensions/GlobalBlockingmaster+1 -3
mediawiki/extensions/SecurePollmaster+7 -5
mediawiki/extensions/CentralAuthmaster+8 -4
mediawiki/extensions/Wikibasemaster+1 -1
mediawiki/extensions/BetaFeaturesmaster+1 -1
mediawiki/corewmf/1.35.0-wmf.24+14 -8
mediawiki/corewmf/1.35.0-wmf.25+14 -8
mediawiki/coremaster+14 -8
mediawiki/corewmf/1.35.0-wmf.24+1 -1
mediawiki/coremaster+1 -1
Show related patches Customize query in gerrit

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2020, 6:08 AM
Marostegui renamed this task from Wikimedia\Rdbms\Database::normalizeUpsertKeys called with deprecated parameter style: the unique key array should be a string or array of string arrays generating 2 million warnings in 24 to Wikimedia\Rdbms\Database::normalizeUpsertKeys called with deprecated parameter style: the unique key array should be a string or array of string arrays generating 2 million warnings in 24 hours.Mar 20 2020, 6:09 AM
Marostegui updated the task description. (Show Details)
Bawolff added a subscriber: aaron.Mar 20 2020, 6:20 AM
Marostegui triaged this task as High priority.Mar 20 2020, 8:25 AM
jijiki added a subscriber: jijiki.Mar 20 2020, 8:40 AM

Definitely:

includes/libs/rdbms/database/Database.php
final protected function normalizeUpsertKeys( $uniqueKeys ) {

...

		if ( $oldStyle ) {
			// Passing a list of strings for single-column unique keys is too
			// easily confused with passing the columns of composite unique key
			$this->queryLogger->warning(
				__METHOD__ . " called with deprecated parameter style: " .
				"the unique key array should be a string or array of string arrays",
				[ 'exception' => new RuntimeException() ]
			);
		}

I guess we can do a hotfix that prevent the logging until we find out which part of the code uses that old style.

Change 582012 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Avoid upsert() log warning spam in ActorMigration due to unique key array format

https://gerrit.wikimedia.org/r/582012

Change 582012 merged by jenkins-bot:
[mediawiki/core@master] Avoid upsert() log warning spam in ActorMigration due to unique key array format

https://gerrit.wikimedia.org/r/582012

Change 582067 had a related patch set uploaded (by Hashar; owner: Aaron Schulz):
[mediawiki/core@wmf/1.35.0-wmf.24] Avoid upsert() log warning spam in ActorMigration due to unique key array format

https://gerrit.wikimedia.org/r/582067

Change 582067 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.24] Avoid upsert() log warning spam in ActorMigration due to unique key array format

https://gerrit.wikimedia.org/r/582067

Mentioned in SAL (#wikimedia-operations) [2020-03-20T15:44:50Z] <hashar@deploy1001> Synchronized php-1.35.0-wmf.24/includes/ActorMigration.php: Avoid upsert() log warning spam in ActorMigration due to unique key array format - T248147 (duration: 01m 01s)

I have deployed the fix for ActorMigration.

There are some others in AntiSpoof, BetaFeatures, EventBus, FlaggedRevs. I am not sure whether we should rush patches for them though.

AntiSpoof
#0 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/Database.php(3036): Wikimedia\Rdbms\Database->normalizeUpsertKeys(array)
#1 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->replace(string, array, array, string)
#2 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/DBConnRef.php(496): Wikimedia\Rdbms\DBConnRef->__call(string, array)
#3 /srv/mediawiki/php-1.35.0-wmf.24/extensions/AntiSpoof/includes/SpoofUser.php(169): Wikimedia\Rdbms\DBConnRef->replace(string, array, array, string)
#4 /srv/mediawiki/php-1.35.0-wmf.24/extensions/AntiSpoof/includes/SpoofUser.php(133): SpoofUser::batchRecord(Wikimedia\Rdbms\MaintainableDBConnRef, array)
#5 /srv/mediawiki/php-1.35.0-wmf.24/extensions/AntiSpoof/includes/AntiSpoofHooks.php(39): SpoofUser->record()
#6 /srv/mediawiki/php-1.35.0-wmf.24/includes/Hooks.php(174): AntiSpoofHooks::asLocalUserCreated(User, boolean)
#7 /srv/mediawiki/php-1.35.0-wmf.24/includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#8 /srv/mediawiki/php-1.35.0-wmf.24/includes/auth/AuthManager.php(1748): Hooks::run(string, array)
#9 /srv/mediawiki/php-1.35.0-wmf.24/includes/Setup.php(815): MediaWiki\Auth\AuthManager->autoCreateUser(User, string, boolean)
#10 /srv/mediawiki/php-1.35.0-wmf.24/includes/WebStart.php(89): require_once(string)
#11 /srv/mediawiki/php-1.35.0-wmf.24/api.php(42): require(string)
#12 /srv/mediawiki/w/api.php(3): require(string)
#13 {main}
core RecentChangesUpdateJob
#0 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/Database.php(3036): Wikimedia\Rdbms\Database->normalizeUpsertKeys(array)
#1 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->replace(string, array, array, string)
#2 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/DBConnRef.php(496): Wikimedia\Rdbms\DBConnRef->__call(string, array)
#3 /srv/mediawiki/php-1.35.0-wmf.24/includes/jobqueue/jobs/RecentChangesUpdateJob.php(228): Wikimedia\Rdbms\DBConnRef->replace(string, array, array, string)
#4 /srv/mediawiki/php-1.35.0-wmf.24/includes/jobqueue/jobs/RecentChangesUpdateJob.php(64): RecentChangesUpdateJob->updateActiveUsers()
#5 /srv/mediawiki/php-1.35.0-wmf.24/extensions/EventBus/includes/JobExecutor.php(71): RecentChangesUpdateJob->run()
#6 /srv/mediawiki/rpc/RunSingleJob.php(76): JobExecutor->execute(array)
#7 {main}
FlaggedRevs
#0 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/Database.php(3036): Wikimedia\Rdbms\Database->normalizeUpsertKeys(array)
#1 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->replace(string, array, array, string)
#2 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/DBConnRef.php(496): Wikimedia\Rdbms\DBConnRef->__call(string, array)
#3 /srv/mediawiki/php-1.35.0-wmf.24/extensions/FlaggedRevs/backend/FRUserCounters.php(95): Wikimedia\Rdbms\DBConnRef->replace(string, array, array, string)
#4 /srv/mediawiki/php-1.35.0-wmf.24/extensions/FlaggedRevs/backend/FlaggedRevsHooks.php(1153): FRUserCounters::saveUserParams(integer, array)
#5 /srv/mediawiki/php-1.35.0-wmf.24/includes/deferred/MWCallableUpdate.php(38): FlaggedRevsHooks::{closure}()
#6 /srv/mediawiki/php-1.35.0-wmf.24/includes/deferred/DeferredUpdates.php(417): MWCallableUpdate->doUpdate()
#7 /srv/mediawiki/php-1.35.0-wmf.24/includes/deferred/DeferredUpdates.php(296): DeferredUpdates::attemptUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti)
#8 /srv/mediawiki/php-1.35.0-wmf.24/includes/deferred/DeferredUpdates.php(233): DeferredUpdates::run(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti, Monolog\Logger, BufferingStatsdDataFactory, string)
#9 /srv/mediawiki/php-1.35.0-wmf.24/includes/deferred/DeferredUpdates.php(150): DeferredUpdates::handleUpdateQueue(array, string, integer)
#10 /srv/mediawiki/php-1.35.0-wmf.24/includes/MediaWiki.php(1059): DeferredUpdates::doUpdates(string)
#11 /srv/mediawiki/php-1.35.0-wmf.24/includes/MediaWiki.php(839): MediaWiki->restInPeace()
#12 /srv/mediawiki/php-1.35.0-wmf.24/includes/MediaWiki.php(848): MediaWiki->{closure}()
#13 /srv/mediawiki/php-1.35.0-wmf.24/api.php(119): MediaWiki->doPostOutputShutdown()
#14 /srv/mediawiki/w/api.php(3): require(string)
#15 {main}

There are still warnings from a few other extensions as well as from core such as the RecentChangesUpdateJob:

#0 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/Database.php(3036): Wikimedia\Rdbms\Database->normalizeUpsertKeys(array)
#1 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->replace(string, array, array, string)
#2 /srv/mediawiki/php-1.35.0-wmf.24/includes/libs/rdbms/database/DBConnRef.php(496): Wikimedia\Rdbms\DBConnRef->__call(string, array)
#3 /srv/mediawiki/php-1.35.0-wmf.24/includes/jobqueue/jobs/RecentChangesUpdateJob.php(228): Wikimedia\Rdbms\DBConnRef->replace(string, array, array, string)
#4 /srv/mediawiki/php-1.35.0-wmf.24/includes/jobqueue/jobs/RecentChangesUpdateJob.php(64): RecentChangesUpdateJob->updateActiveUsers()
#5 /srv/mediawiki/php-1.35.0-wmf.24/extensions/EventBus/includes/JobExecutor.php(71): RecentChangesUpdateJob->run()
#6 /srv/mediawiki/rpc/RunSingleJob.php(76): JobExecutor->execute(array)
#7 {main}

Change 583161 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/583161

Change 583161 merged by jenkins-bot:
[mediawiki/core@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/583161

Change 583332 had a related patch set uploaded (by Hashar; owner: Aaron Schulz):
[mediawiki/core@wmf/1.35.0-wmf.24] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/583332

Change 583333 had a related patch set uploaded (by Hashar; owner: Aaron Schulz):
[mediawiki/core@wmf/1.35.0-wmf.25] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/583333

Change 583332 abandoned by Krinkle:
Cleanup unique keys parameter to IDatabase::replace() calls

Reason:
wmf.24 everywhere

https://gerrit.wikimedia.org/r/583332

Change 583333 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.25] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/583333

The volume of these is still quite high in production. Remaining in Logstash, based on analysing the last 30 minutes worth:

  • FlaggedRevs / FlaggableWikiPage.php
  • FlaggedRevs / FRUserCounters
  • AntiSpoof / SpoofUser.php
  • ProofreadPage / ProofreadIndexDbConnector.php
  • BetaFeatures / UpdateBetaFeatureUserCountsJob.php
  • PageTriage / ArticleCompileProcessor.php
  • Wikibase / UpsertSqlIdGenerator.php
Restricted Application added projects: Growth-Team, Wikidata. · View Herald TranscriptMar 26 2020, 10:58 PM

Change 585188 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] Fix Database::normalizeUpsertKeys called with deprecated parameter style

https://gerrit.wikimedia.org/r/585188

Change 585190 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/BetaFeatures@master] Fix Database::normalizeUpsertKeys called with deprecated parameter style

https://gerrit.wikimedia.org/r/585190

Change 585188 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix Database::normalizeUpsertKeys called with deprecated parameter style

https://gerrit.wikimedia.org/r/585188

Change 585190 merged by jenkins-bot:
[mediawiki/extensions/BetaFeatures@master] Fix Database::normalizeUpsertKeys called with deprecated parameter style

https://gerrit.wikimedia.org/r/585190

Change 585703 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/AntiSpoof@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585703

Change 585704 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/CentralAuth@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585704

Change 585705 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/FlaggedRevs@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585705

Change 585706 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/GlobalBlocking@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585706

Change 585707 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/LiquidThreads@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585707

Change 585708 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/PageCreationNotif@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585708

Change 585709 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/PageTriage@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585709

Change 585710 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/ProofreadPage@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585710

Change 585704 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585704

Change 585711 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/SecurePoll@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585711

Change 585703 merged by jenkins-bot:
[mediawiki/extensions/AntiSpoof@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585703

Change 585711 merged by jenkins-bot:
[mediawiki/extensions/SecurePoll@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585711

Change 585706 merged by jenkins-bot:
[mediawiki/extensions/GlobalBlocking@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585706

Change 585705 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585705

Change 585707 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585707

Change 585708 merged by jenkins-bot:
[mediawiki/extensions/PageCreationNotif@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585708

Change 585710 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585710

Change 585709 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/585709

aaron claimed this task.Apr 3 2020, 4:30 PM

Change 589720 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/Wikibase@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/589720

Change 589721 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/AbuseFilter@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/589721

Change 589722 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/OATHAuth@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/589722

Change 589723 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/UploadWizard@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/589723

Change 589720 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/589720

Change 589721 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/589721

Change 589723 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Cleanup unique keys parameter to IDatabase::upsert() calls

https://gerrit.wikimedia.org/r/589723

Change 589722 merged by jenkins-bot:
[mediawiki/extensions/OATHAuth@master] Cleanup unique keys parameter to IDatabase::replace() calls

https://gerrit.wikimedia.org/r/589722

aaron closed this task as Resolved.Apr 20 2020, 7:34 PM